Subject: Re: Rebase 1.5-1: Causes invalid page fault
From: Nicholas Wourms <[email-masked]>
To: Jason Tishler <[email-masked]>
Cc: [email-masked]
Date: Tue, 18 Jun 2002 08:35:47 -0700 (PDT)

Jason,

[SNIP]
> 
> Use gdb by setting a breakpoint ("b" command) at the call to
> ReBaseImage() and then printing ("p" command) out the arguments.  Do
> they look valid?

Hmm gdb wouldn't let me set a breakpoint on ReBaseImage (it says the
symbol can't be found), so I just set it to line 58.  When I step through
the execution, I discover that the pathname argument prints out to:
"C:\\Cygnus\\cygwin\\bin\\cygXpm-noX4.dll\000¢ö¿\030Ö\003x\000Ö\003x\001\000\000\000\233\000\212\000(ýw\000Jä\000x\001\000\000\000!\000\000\000&»ö¿P\212\201\030Ö\003x\000Ö\003x\013\000\000\000\234\000\212\000Pýw\000Jä\000x\013\000\000\000\000\000W\000&»ö¿\001\000\000\000\000\000W\000&»ö¿P\212\2010\n\212\000\206\002\000\000è\035\000x\234ýw\000±Ì\000x\t\000\000\000¤Ì\000xx½\201+\000\000\000\000\000W\000\000Ö\003x\233\000\212\000\000\000\212\00082\003xÿÿÿÿÀýw\000hÿw\000"

Is all that extra junk supposed to be tacked on?

Cheers,
Nicholas

__________________________________________________
Do You Yahoo!?
Yahoo! - Official partner of 2002 FIFA World Cup
http://fifaworldcup.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/